Subject: Re: [mobile-ip] Coexistence with other uses for routing header

From: Alper Yegin <[email-masked]>
Date: Tue, 4 Sep 2001 14:44:52 -0700 (PDT)

Hi Charlie,

I think it is a good idea to put some effort to see/get route optimization work 
in the existence of routing headers.

> Hello folks,
> 
> In response to a question about how Mobile IPv6 uses routing
> headers vs. other uses, I propose inserted the following paragraph
> into the revised text, as the last paragraph of section 8.9.
> 
> Comments or additional clarifying text will be appreciated.
> 
> I put this as a SHOULD, because of the uncertainty about future
> definitions of routing headers.
> 
> Regards,
> Charlie P.
> 
> ===========================================================================
> 
> It is possible that a correspondent node, having no knowledge of
> the mobile node's care-of address, would still (for reasons unspecified
> here but not necessarily related to mobility) attempt use a routing
> header to deliver a packet to the mobile node's home address.
> If the correspondent node accepts a Binding Update
> and creates a Binding Cache entry for the mobile node, then
> in that case, the correspondent node SHOULD put the mobile
> node's care-of address as the last intermediate node address
> of the routing header, following all other intermediate node
> addresses that would have already been in the routing header
> before the creation of the Binding Cache entry for the care-of
> address.

If we are going to make route optimization work with other uses of routing 
headers, why not make it work even when Home Address of a mobile node is not 
only the final destination of a packet, but also maybe an intermediate hop?

This correspondent node knows that the only way to reach to Home_Address is to 
send the packet through Care_of_Address. Whether Home_Address is the final 
destination of a packet with routing header, or an intermediate hop, replacing 
"Home_Address" with "Care_of_Address + Home_Address" would ensure this packet 
goes to/through "mobile node".

We should also clarify in the paragraph that this formula applies only to 
Routing Header Type 0. 

Regards,

alper

---

From: Michael Thomas <[email-masked]>
Date: Tue, 4 Sep 2001 15:09:34 -0700 (PDT)

> only the final destination of a packet, but also maybe an intermediate hop?

   Are you talking about the case where a mobile host is behind
   a mobile router? If so, how would CN know what order to put
   the routing headers in given two BU's?

	       Mike

---

From: Francis Dupont <[email-masked]>
Date: Wed, 05 Sep 2001 11:58:49 +0200

If we are going to make route optimization work with other uses of
   routing headers, why not make it work even when Home Address of a
   mobile node is not only the final destination of a packet, but also
   maybe an intermediate hop?
   
=> this seems a bit complex/difficult to implement. I believe
this should not get more than a MAY.

Regards

[email-masked]

PS: I've sent a private comment about reversing of merged routing header:
this proposal SHOULD NOT be applied when the routing header will be
reversed, i.e. for authenticated connections.